{
  "name": "colmena",
  "description": "Create, Collaborate and Share",
  "version": "0.0.1",
  "private": true,
  "scripts": {
    "prepare": "husky install",
    "dev": " next dev -p 3008",
    "build": "next build",
    "export": "next export",
    "start": "next start",
    "format": "prettier --write \"**/*.{js,ts,tsx}\"",
    "type-check": "tsc --pretty --noEmit",
    "lint": "eslint . --ext ts --ext tsx --ext js",
    "test": "jest --silent",
    "test:watch": "jest --watch",
    "test:coverage": "jest --coverage",
    "test-all": "yarn lint && yarn type-check && yarn test"
  },
  "lint-staged": {
    "*.@(ts|tsx)": [
      "yarn format",
      "yarn lint"
    ]
  },
  "husky": {
    "hooks": {
      "pre-commit": "yarn lint-staged"
    }
  },
  "dependencies": {
    "@apollo/client": "^3.6.9",
    "@date-io/date-fns": "1.x",
    "@emotion/cache": "^11.4.0",
    "@emotion/react": "^11.4.0",
    "@emotion/server": "^11.4.0",
    "@emotion/styled": "^11.3.0",
    "@jitsi/react-sdk": "^1.3.0",
    "@material-ui/core": "^4.12.1",
    "@material-ui/icons": "^4.11.2",
    "@material-ui/lab": "^4.0.0-alpha.60",
    "@material-ui/pickers": "^3.3.10",
    "@oieduardorabelo/use-user-agent": "^4.0.0",
    "@react-icons/all-files": "^4.1.0",
    "@reactour/tour": "^3.1.8",
    "@reduxjs/toolkit": "^1.8.3",
    "@sweetalert2/theme-material-ui": "^5.0.8",
    "@testing-library/react-hooks": "^8.0.1",
    "@tiptap/extension-blockquote": "^2.0.0-beta.29",
    "@tiptap/extension-bold": "^2.0.0-beta.28",
    "@tiptap/extension-code": "^2.0.0-beta.28",
    "@tiptap/extension-color": "^2.0.0-beta.12",
    "@tiptap/extension-document": "^2.0.0-beta.17",
    "@tiptap/extension-highlight": "^2.0.0-beta.35",
    "@tiptap/extension-image": "^2.0.0-beta.209",
    "@tiptap/extension-link": "^2.0.0-beta.43",
    "@tiptap/extension-text-align": "^2.0.0-beta.31",
    "@tiptap/extension-text-style": "^2.0.0-beta.26",
    "@tiptap/react": "^2.0.0-beta.114",
    "@tiptap/starter-kit": "^2.0.0-beta.191",
    "@types/dom-mediacapture-record": "^1.0.10",
    "@types/file-saver": "^2.0.5",
    "@types/material-ui": "^0.21.12",
    "@types/react-file-icon": "^1.0.1",
    "axios": "^0.21.1",
    "babel-plugin-inline-react-svg": "^2.0.1",
    "blob-util": "^2.0.2",
    "body-scroll-lock": "^4.0.0-beta.0",
    "classnames": "^2.3.1",
    "clsx": "^1.1.1",
    "colmena-waveform-playlist": "^0.0.32",
    "cross-env": "^7.0.3",
    "crypto-js": "^4.1.1",
    "date-fns": "^2.22.1",
    "dexie": "^3.0.3",
    "downloadjs": "^1.4.7",
    "draft-convert": "^2.1.13",
    "draft-js": "^0.11.7",
    "eslint-import-resolver-typescript": "^2.4.0",
    "file-saver": "^2.0.5",
    "file-to-array-buffer": "^1.0.0",
    "form-data": "^4.0.0",
    "formidable": "^2.0.1",
    "formik": "^2.2.9",
    "formik-material-ui": "^3.0.1",
    "formik-material-ui-lab": "^0.0.8",
    "formik-material-ui-pickers": "^0.0.12",
    "get-blob-duration": "^1.2.0",
    "graphql": "^16.6.0",
    "i": "^0.3.7",
    "jodit-react": "^1.1.25",
    "jquery": "^3.6.0",
    "jsdom": "^17.0.0",
    "jss-rtl": "^0.3.0",
    "jwt-decode": "^3.1.2",
    "memory-cache": "^0.2.0",
    "multer": "^1.4.4",
    "multiparty": "^4.2.3",
    "next": "12.2.2",
    "next-auth": "^3.27.3",
    "next-connect": "^0.11.0",
    "next-i18next": "^8.5.0",
    "next-images": "^1.7.0",
    "next-pwa": "^5.2.21",
    "next-seo": "^5.15.0",
    "node-html-parser": "^4.1.5",
    "nookies": "^2.5.2",
    "npm": "^8.19.2",
    "prosemirror-commands": "^1.5.0",
    "prosemirror-schema-list": "^1.2.2",
    "qs": "^6.10.1",
    "react": "^17.0.2",
    "react-awesome-slider": "^4.1.0",
    "react-beautiful-dnd": "^13.1.1",
    "react-data-table-component": "^7.4.6",
    "react-device-detect": "^2.1.2",
    "react-dom": "^17.0.2",
    "react-draft-wysiwyg": "^1.15.0",
    "react-easy-crop": "^4.0.1",
    "react-file-icon": "^1.1.0",
    "react-iframe": "^1.8.5",
    "react-image-file-resizer": "^0.4.8",
    "react-infinite-scroll-component": "^6.1.0",
    "react-intersection-observer": "^9.4.1",
    "react-player": "^2.10.0",
    "react-redux": "^7.2.4",
    "react-share": "^4.4.1",
    "react-swipeable-views": "^0.14.0",
    "react-timer-hook": "^3.0.3",
    "react-virtuoso": "^2.8.2",
    "react-window": "^1.8.6",
    "redux": "^4.1.0",
    "redux-devtools-extension": "^2.13.9",
    "redux-persist": "^6.0.0",
    "remove": "^0.1.5",
    "sass": "^1.35.2",
    "sass-ffi": "^0.0.2",
    "sharp": "^0.30.7",
    "short-hash": "^1.0.0",
    "showdown": "^2.1.0",
    "simple-peer": "^9.11.1",
    "socket.io-client": "^4.4.1",
    "styled-components": "^5.3.3",
    "sweetalert2": "^11.3.0",
    "swr": "^0.5.6",
    "use-pwa": "^1.1.0",
    "uuid": "^8.3.2",
    "waveform-playlist": "^4.3.3",
    "wavesurfer.js": "^5.2.0",
    "web-audio-peak-meter": "^2.1.0",
    "webdav": "^4.6.1",
    "webdav-client": "^1.4.3",
    "webdav-fs": "^3.0.0",
    "webdav.client": "^5.20.5656",
    "webm-muxer": "^2.1.2",
    "yup": "^0.32.9"
  },
  "devDependencies": {
    "@next/eslint-plugin-next": "^12.2.2",
    "@testing-library/dom": "^8.1.0",
    "@testing-library/jest-dom": "^5.16.4",
    "@testing-library/react": "^12.1.5",
    "@testing-library/user-event": "^14.3.0",
    "@types/body-scroll-lock": "^3.1.0",
    "@types/crypto-js": "^4.1.1",
    "@types/downloadjs": "^1.4.3",
    "@types/draft-convert": "^2.1.4",
    "@types/draft-js": "^0.11.9",
    "@types/jest": "^26.0.23",
    "@types/jquery": "^3.5.14",
    "@types/jsdom": "^16.2.13",
    "@types/markdown-it": "^12.2.3",
    "@types/node": "^15.12.5",
    "@types/react": "17.0.2",
    "@types/react-beautiful-dnd": "^13.1.2",
    "@types/react-dom": "17.0.2",
    "@types/react-draft-wysiwyg": "^1.13.4",
    "@types/react-file-icon": "^1.0.1",
    "@types/react-lottie": "^1.2.5",
    "@types/react-swipeable-views": "^0.13.1",
    "@types/react-test-renderer": "^18.0.0",
    "@types/showdown": "^2.0.0",
    "@types/uuid": "^8.3.1",
    "@typescript-eslint/eslint-plugin": "^4.28.1",
    "@typescript-eslint/parser": "^4.28.1",
    "autoprefixer": "^10.4.2",
    "babel-jest": "^27.0.6",
    "babel-plugin-module-resolver": "^4.1.0",
    "eslint": "^7.29.0",
    "eslint-config-airbnb": "^18.2.1",
    "eslint-config-prettier": "^8.3.0",
    "eslint-import-resolver-alias": "^1.1.2",
    "eslint-plugin-import": "^2.23.4",
    "eslint-plugin-jsx-a11y": "^6.4.1",
    "eslint-plugin-prettier": "^3.4.0",
    "eslint-plugin-react": "^7.24.0",
    "eslint-plugin-react-hooks": "^4.2.0",
    "fake-indexeddb": "^4.0.0",
    "husky": "^7.0.0",
    "identity-obj-proxy": "^3.0.0",
    "jest": "^27.0.6",
    "jest-canvas-mock": "^2.4.0",
    "jest-watch-typeahead": "^0.6.4",
    "lint-staged": "^11.0.0",
    "msw": "^0.47.2",
    "postcss": "^8.4.6",
    "prettier": "^2.3.2",
    "tailwindcss": "^3.0.23",
    "tailwindcss-rtl": "^0.9.0",
    "typescript": "^4.3.4"
  }
}
